Skip to main content
Resource Center/Resource Pool/Volume Operations

ShrinkVolumeSnapshot

ShrinkVolumeSnapshot

PUT/zstack/v1/volume-snapshots/shrink/{uuid}/actions

Operation ID

ShrinkVolumeSnapshot

Since

3.10.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • shrinkResult
    ShrinkResultRequired

    See shrinkResult.

    • oldSize
      longRequired

      The old size.

    • size
      longRequired

      The size.

    • deltaSize
      longRequired

      The delta size.